<?
//Автор: DjBoBaH 
//Сайт: http://my-perm.net 
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
include $_SERVER['DOCUMENT_ROOT']."/anti_ hacker.php"; 
$timediff=mysql_result(mysql_query("SELECT `time` FROM `user` WHERE `id` = '$user[id]' LIMIT 1",$db), 0);
if($timediff < 3600)
{
include_once '../sys/inc/thead.php';
title();
echo "<div class='rekl_main'>\n";
echo 'Извените, но на данный момент Вы не можите просматривать Чат Сообщества !!! <br/>
Что бы просматривать Чат Сообщества, Вам необходимо провести 1 час на нашем сайте.<br/> За это время Вы можете по ближе познакомиться с сайтом и заполнить свою анкету или же поиграть в онлайн Игры!';
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
}
if(isset($_GET['s']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id` = '".intval($_GET['s'])."' LIMIT 1"),0)==1)
{
$s=intval($_GET['s']);
$soo=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `id` = '$s' LIMIT 1"));
include_once 'inc/ban.php';
$set['title']="".filter_var($soo['name'], FILTER_SANITIZE_SPECIAL_CHARS)." - Мини-чат"; // заголовок страницы
include_once '../sys/inc/thead.php';
echo '<div class="main_menu">';
title();echo "</div>\n";
echo '<div class="rekl_main">';
aut();
if($soo['konf_soo']==0 || isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || isset($user) && $user['id']==$soo['admid'] || isset($user) && $user['level']>0)
{
if(isset($user) && $user['id']==$soo['admid'] && isset($_GET['del']))
{
if($_GET['del']=='all'){mysql_query("DELETE FROM `soo_chat` WHERE `id_soo`='$soo[id]'"); msg('Чат успешно очищен');}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_chat` WHERE `id` = '".intval($_GET['del'])."' AND `id_soo`='$soo[id]' LIMIT 1"),0)==1)
{
mysql_query("DELETE FROM `soo_chat` WHERE `id`='".intval($_GET['del'])."' LIMIT 1");
msg('Сообщение успешно удалено');
}
}
if (isset($_POST['msg']) && isset($user) && (mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || $user['id']==$soo['admid']))
{
$msg=$_POST['msg'];
if($user['rating']<15)$msg = strtr($msg, array('B'=>'.', 'b'=>'.', 'C'=>'.', 'c'=>'.', 'D'=>'.', 'd'=>'.', 'F'=>'.', 'f'=>'.', 'G'=>'.', 'g'=>'.', 'H'=>'.', 'h'=>'.', 'I'=>'.', 'i'=>'.', 'J'=>'.', 'j'=>'.', 'K'=>'.', 'k'=>'.', 'L'=>'.', 'l'=>'.', 'M'=>'.', 'm'=>'.', 'N'=>'...', 'n'=>'.', 'O'=>'.', 'o'=>'.', 'P'=>'.', 'p'=>'.', 'Q'=>'.', 'q'=>'.', 'R'=>'.', 'r'=>'.', 'S'=>'.', 's'=>'.', 'T'=>'.', 't'=>'.', 'U'=>'.',
'u'=>'.', 'V'=>'.', 'v'=>'.', 'W'=>'.', 'w'=>'.', 'X'=>'.', 'x'=>'.', 'Y'=>'.', 'y'=>'.', 'сайт'=>'LaFaC.Ru', '.Р у'=>'насру', '.р у'=>'пойду обосрусь', 'Р У'=>'в рот себе насру', 'Z'=>'.', 'z'=>'.')); 
if($user['rating']<15)$msg = strtr($msg, array('.ru'=>'этот сайт  очень клевый и мне здесь нравится!', '.р у'=>'[реклама]', '.r u'=>'[реклама]', '.net'=>'[реклама]', '.n e t'=>'[реклама]', 'http://'=>'SPAM!!!', '.org'=>'[реклама]', 'ru'=>'SPAM!!!', 'net'=>'[LaFaC.Ru]', 'com'=>'SPAM!!!', 'h2m.ru'=>'SPAM!!!', 'biz'=>'LaFaC.Ru', 'b i z'=>'LaFaC.Ru', 'tk'=>'LaFaC.Ru', 'mobi'=>'LaFaC.Ru', 'in'=>'LaFaC.Ru', 'us'=>'LaFaC.Ru', 'i n'=>'LaFaC.Ru', 'u s'=>'LaFaC.Ru', 'mylovcity'=>'-', 'www'=>'iii', 'wap'=>'LaFaC.Ru', 'kisma'=>'LaFaC.Ru', '.ру'=>'писюн тебе', '.РУ'=>'писюн тебе', '.Ру'=>'писюн тебе', '.рУ'=>'писюн тебе', '.Р У'=>'писюн тебе', '.Р у'=>'писюн тебе', '.р У'=>'писюн тебе', '.р у'=>'LaFaC.Ru', '.нет'=>'LaFaC.Ru', 'Ru'=>'LaFaC.Ru', 'RU'=>'LaFaC.Ru', 'rU'=>'LaFaC.Ru', 'NET'=>'LaFaC.Ru', 'US'=>'LaFaC.Ru', 'IN'=>'LaFaC.Ru', 'su'=>'LaFaC.Ru', 'SU'=>'LaFaC.Ru', 'info'=>'LaFaC.Ru'));
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_chat` WHERE `id_soo`='$soo[id]' AND `id_user` = '$user[id]' AND `mess` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){

mysql_query("INSERT INTO `soo_chat` (`id_soo`, `id_user`, `mess`, `time`) values('$soo[id]', '$user[id]', '".my_esc($msg)."', '$time')");
msg('Сообщение успешно добавлено');
}
}
if (isset($user) && (mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || $user['id']==$soo['admid']))
{
echo '<form method="post" name="message" action="?s='.$soo['id'].'&'.$passgen.'">';
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo 'Сообщение:<br/><textarea name="msg"></textarea><br/>';


if ($user['set_translit']==1)echo '<label><input type="checkbox" name="translit" value="1"/> Транслит</label><br />';
echo '<input value="Отправить" type="submit" />';
echo '</form>';
}
else echo'Вы не можете писать сообщение в мини-чате данного соо<br/>';

err();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_chat` WHERE `id_soo`='$soo[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
echo '<tr>';
echo '<td class="p_t">';
echo 'Нет сообщений';
echo '</td>';
echo '</tr>';

}

$q=mysql_query("SELECT * FROM `soo_chat` WHERE `id_soo`='$soo[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);
echo '<tr>';
if ($set['set_show_icon']==2){
echo '<td class="icon48" rowspan="2">';
avatar($ank['id']);
echo '</td>';
}
elseif ($set['set_show_icon']==1)
{
echo '<td class="icon14">';
echo '<img src="/style/themes/'.$set['set_them'].'/user/'.$ank['pol'].'.png" alt="" />';
echo '</td>';
}



echo '<td class="p_t">';
echo '<a href="info.php?s='.$soo['id'].'&id='.$ank['id'].'">'.$ank['nick'].'</a>'.online($ank['id']).' ('.vremja($post['time']).')';
echo '</td>';
echo '</tr>';
echo '<tr>';
if ($set['set_show_icon']==1)echo '<td class="p_m" colspan="2">'; else echo '<td class="p_m">';
echo ''.output_text($post['mess']).'<br/>';
if (isset($user) && $user['id']==$soo['admid'])
echo '<a href="?s='.$soo['id'].'&del='.$post['id'].'">Удалить</a><br/>';
echo '</td>';
echo '</tr>';

}
echo '</table>';
if ($k_page>1)str("?s=$soo[id]&",$k_page,$page); // Вывод страниц
if (isset($user) && $user['id']==$soo['admid'])echo'<a href="?s='.$soo['id'].'&del=all">Очистить чат</a><br/>';
echo'<a href="index.php?s='.$soo['id'].'">В сообщество</a><br/>';
}
else
{
echo'Вам недоступен просмотр чата данного сообщества';
}
}
else
{
header("Location:index.php");
}
include_once '../sys/inc/tfoot.php';
?>